
%define qtmajor 5
%define qtminor 9
%define qtsubminor 1

%define major_private 1
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define libqt5webkitwidgets %mklibname qt5webkitwidgets %qtmajor
%define libqt5webkitwidgets_d %mklibname qt%{qtmajor}webkitwidgets  -d

%define libqt5webkit %mklibname qt5webkit %qtmajor
%define libqt5webkit_d %mklibname qt%{qtmajor}webkit  -d

%define qttarballdir qtwebkit-opensource-src-%{qtversion}

Name: qtwebkit5
Version: 5.9.1
Release: %mkrel 4
Summary: Qt GUI toolkit
Group: System/Libraries
License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:     http://www.qt.io
Source0: http://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/qtwebkit-opensource-src-%{version}.tar.xz
BuildRequires:  qtbase5-devel
BuildRequires:  %{_lib}sqlite3-devel
BuildRequires:	%{_lib}gstreamer1.0-devel
BuildRequires:	%{_lib}gstreamer-plugins-base1.0-devel
BuildRequires:	%{_lib}webp-devel
BuildRequires:	%{_lib}xcomposite-devel
BuildRequires:	%{_lib}xslt-devel
BuildRequires:	%{_lib}xml2-devel
BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  gperf
BuildRequires:  chrpath
BuildRequires:  ruby
BuildRequires:  libxrender-devel
BuildRequires:	udev-devel
BuildRequires:  qt5widgets-private-devel
BuildRequires:  jpeg-devel
BuildRequires:	fontconfig-devel
BuildRequires:  qtquick5-devel
BuildRequires:  qt5gui-private-devel
BuildRequires:  qt5quick-private-devel
BuildRequires:	qt5qml-devel
#Branch Patchs

#Trunk Patchs

#Patch from Others


%description
Qt WebKit library is an open source web browser engine.

%files
%{_qt5_prefix}/libexec/QtWebPluginProcess
%{_qt5_prefix}/libexec/QtWebProcess
%{_qt5_prefix}/qml/QtWebKit

#------------------------------------------------------------------------------

%package -n %{libqt5webkitwidgets}
Summary: Qt%{qtmajor} Lib
Group: System/Libraries

%description -n %{libqt5webkitwidgets}
Qt%{qtmajor} Lib.

%files -n %{libqt5webkitwidgets}
%{_qt5_libdir}/libQt5WebKitWidgets.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqt5webkitwidgets_d}
Summary: Devel files needed to build apps based on QtWebKitWidgets
Group:    Development/Libraries
Requires: %{libqt5webkitwidgets}
Requires: qtbase5-common-devel
Provides: libqt5webkitwidgets-devel = %version
Provides: qt5webkitwidgets-devel = %version
Provides: libqtwebkitwidgets5-devel = %version
Provides: qtwebkitwidgets5-devel = %version

Provides: libqt5webkitwidgets-private-devel = %version
Provides: qt5webkitwidgets-private-devel = %version
Provides: libqtwebkitwidgets5-private-devel = %version
Provides: qtwebkitwidgets5-private-devel = %version

Obsoletes: %{_lib}qt5webkitwidgets-private-devel
Provides:  %{_lib}qt5webkitwidgets-private-devel = %version

%description -n %{libqt5webkitwidgets_d}
Devel files needed to build apps based on QtWebKitWidgets.

%files -n %{libqt5webkitwidgets_d}
%{_qt5_libdir}/libQt5WebKitWidgets.so
%{_qt5_libdir}/libQt5WebKitWidgets.prl
%{_qt5_libdir}/pkgconfig/Qt5WebKitWidgets.pc
%{_qt5_includedir}/QtWebKitWidgets
%{_qt5_datadir}/mkspecs/modules/qt_lib_webkitwidgets.pri
%{_qt5_libdir}/cmake/Qt5WebKitWidgets
%{_qt5_datadir}/mkspecs/modules/qt_lib_webkitwidgets_private.pri

#------------------------------------------------------------------------------

%package -n %{libqt5webkit}
Summary: Qt%{qtmajor} Lib
Group: System/Libraries

%description -n %{libqt5webkit}
Qt%{qtmajor} Lib.

%files -n %{libqt5webkit}
%{_qt5_libdir}/libQt5WebKit.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqt5webkit_d}
Summary: Devel files needed to build apps based on QtWebKitWidgets
Group:    Development/Libraries
Requires: %{libqt5webkit}
Provides: libqt5webkit-devel = %version
Provides: qt5webkit-devel = %version
Provides: libqtwebkit5-devel = %version
Provides: qtwebkit5-devel = %version

Provides: libqt5webkit-private-devel = %version
Provides: qt5webkit-private-devel = %version
Provides: libqtwebkit5-private-devel = %version
Provides: qtwebkit5-private-devel = %version

Obsoletes: %{_lib}qt5webkit-private-devel
Provides:  %{_lib}qt5webkit-private-devel = %version

%description -n %{libqt5webkit_d}
Devel files needed to build apps based on QtWebKitWidgets.

%files -n %{libqt5webkit_d}
%{_qt5_libdir}/libQt5WebKit.so
%{_qt5_libdir}/libQt5WebKit.prl
%{_qt5_libdir}/pkgconfig/Qt5WebKit.pc
%{_qt5_includedir}/QtWebKit
%{_qt5_datadir}/mkspecs/modules/qt_lib_webkit.pri
%{_qt5_libdir}/cmake/Qt5WebKit
%{_qt5_datadir}/mkspecs/modules/qt_lib_webkit_private.pri

#------------------------------------------------------------------------------

%prep
%setup -qn qtwebkit-opensource-src-%{version}

%apply_patches


%build

%qmake_qt5

%make 
#------------------------------------------------------------------------------

%install
rm -rf %buildroot
make INSTALL_ROOT=$RPM_BUILD_ROOT install

# .la and .a files, die, die, die.
rm -f %{buildroot}%{_qt5_libdir}/lib*.la
rm -f %{buildroot}%{_qt5_libdir}/lib*.a


%changelog
* Mon Dec 03 2018 adrianomorselli <adrianomorselli> 5.9.1-4uplos2018
- rebuild

* Thu Nov 22 2018 adrianomorselli <adrianomorselli> 5.9.1-3uplos2018
- rebuild
